Subject: Re: Missing ANSI functions?
From: [email-masked] (Alex)

11 Nov 1997 22:29:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Geoffrey Noer <[email-masked]>
Cc: [email-masked]

On Tue, 11 Nov 1997, Geoffrey Noer wrote:

> Jon & Sue Trauntvein wrote:
[...]
> > functions are strrev (reverse a "C" string in place) and itoa (convert a =
> > signed integer to an ASCII string). Is there something that I am doing =
> > wrong or are these functions trully missing?
> 
> Neither function is provided by gcc's libraries (including Cygwin32).
> I can't find either in my C library books or in the POSIX spec so they're
> not going to be added.

I think itoa() would make a nice addition, as would snprintf (the BSD
source from FreeBSD compiles without a hitch). itoa could probably be
hacked up with snprintf, say something similar to the below.

char *snprintf(int I)
{
char *blah;
sprintf("%d",I)l
return blah;
}

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".